Subject: RE: [P2Prg] RG participation.

From: [email-masked]
Date: Tue, 26 Sep 2006 12:53:25 -0700

If I may add my 2 cents (after witnessing new testers/users' behaviors as well as realizing the deficiencies in my Maazios software),
     1. I wish the connectivity hurdle to implement by p2p developers and the configurations/adjustments needed to be done by p2p end users would be easier.
     2. Nice to have - IETF standardized handshake process and communication protocol structures for p2p software (instead of each developer creating their own flavor).  The app talking to app is not a problem if there's a standard outer shell/container to put app data in.
     3. The rapid prototyping is not a real hurdle; the trick is to get testers/users to leave the p2p software running long enough to see the problems and issues that crop up; in contrast, many websites/servers are "active" for very long periods of time.
     4. ISPs/Carriers who block or degrade p2p traffic - if they do this, they might as well do this to all internet traffic (ex. even from large websites); strangely, I do wonder why they do not move away from the all you can eat buffet pricing model (where a small percentage of the users probably use up >80% of the network capacity) to the model used by web hosters (ex. godaddy $29 per 0.5TB of data bandwidth) who treat bandwidth like water - exceed a certain amount, you pay more.
     5. Bad consumer class routers and firewall software - I've experienced routers that pretend to do portforwarding and firewalls still blocking when told not to - not entirely sure whether these are done intentionally or just poor quality in implementation.

The research papers presented at those p2p conferences are quite interesting and insightful - but until a nice p2p foundation layer is put together and deployed to end users, it will continue to be difficult for p2p research and app development.

Tai Yu
www.maazios.com

> -------- Original Message --------
> Subject: RE: [P2Prg] RG participation.
> From: [email-masked]
> Date: Tue, September 26, 2006 11:36 am
> To: <[email-masked]>, <[email-masked]>
> Cc: [email-masked]
> 
> In the spirit of wild speculation, and at risk of starting a debate, I wonder if the nature of the P2P domain e.g. 
> 
> edge deployment
> your app talking to your app
> built on workarounds and what can be prototyped rapidly
> bypassing agreement from carriers or industrial bodies
> 
> ... underlies the silence of this particular research group. 
> 
> That doesn't mean there isn't research to be done, but it's not clear what in mainstream P2P development would require something like 'standardization' which is historically the strength of IETF activity.
> 
> Cefn
> http://cefn.com
> http://labs.bt.com
> 
> -----Original Message-----
> From: Samrat Bhattacharjee [mailto:[email-masked]]
> Sent: Tue 9/26/2006 6:17 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [P2Prg] RG participation.
>  
> 
> Hello...
> 
> Our research group has been dormant for some time now, and the IRTF
> chair (cc'ed) has enquired if it makes sense to continue the P2P-RG.  
> It is clear that all who are members here are working on their own P2P
> research; however, the RG has not (yet) been quite the forum for
> exchanging ideas that we had initially hoped.  This is not to take
> away from the work that the RG has already produced, however, lately,
> there does not seem to be much activity, and this is of concern.
> 
>   Bottom line: Should we still keep this RG open?  If you have a
>   strong opinion one way or another, please drop us a line.
> 
> Note that silence implies that we recommend to the IRTF that the RG be
> shut down, so if you are in favor of continuing this group, please
> include some ideas on how to generate more research activity.
> 
> Thanks.
> 
> Bill and Bobby
> 
> 
> _______________________________________________
> P2prg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/p2prg
> 
> 
> _______________________________________________
> P2prg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/p2prg

_______________________________________________
P2prg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2prg